/**********************************************************************
* sm.h
*
* StarMines - a sprite toolkit demonstration game.
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/

#define BOX_TOP 120
#define BOX_LEF 196
#define BOX_BOT (gr_max_y-BOX_TOP)
#define BOX_RIG (gr_max_x-BOX_LEF)

#define MAX_EXPL  20
#define MAX_ALIEN 60
#define PLAYER_ID 200
#define BULLET_ID 201
#define EXPLO_ID 202

extern int sprite_resolution;

typedef struct alien_struc {
    SPRITE s1, s2;     /** the sprites for animation **/
    ANIM_SPRITE as;    /** the animated sprite **/
    BYTE active;       /** non-zero if the alien is alive **/
    BYTE divide;       /** non-zero if the alien must be devided into four **/
    BYTE divided;      /** non-zero if the alien has already been devided  **/
    BYTE shot;         /** non-zero if the alien has been shot **/
} ALIEN_TYPE;

typedef struct expl_struct {
    ANIM_SPRITE as;    /** the animated sprite **/
    BYTE active;       /** non-zero if the explosion active **/    
} EXPL_TYPE;

extern ALIEN_TYPE aliens[MAX_ALIEN];
extern EXPL_TYPE expls[MAX_EXPL];
extern ANIM_SPRITE player;

/**********************************************************************
* The alien fx handler.
**********************************************************************/
WORD alien_fx_handler(ANIM_SPRITE aspr, WORD fx, SPRITE spr);

/**********************************************************************
* The player fx handler.
**********************************************************************/
WORD player_fx_handler(ANIM_SPRITE aspr, WORD fx, SPRITE spr);

/**********************************************************************
* The bullet fx handler.
**********************************************************************/
WORD bullet_fx_handler(ANIM_SPRITE aspr, WORD fx, SPRITE spr);

/**********************************************************************
* The explosion fx handler.
**********************************************************************/
WORD explo_fx_handler(ANIM_SPRITE aspr, WORD fx, SPRITE spr);
