/**********************************************************************
* smspr.h
*
* StarMines - a sprite toolkit demonstration game.
*
* The sprite creation functions.
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/


/**********************************************************************
* Create the wave'th aliens.
* Return: 0 if OK, negative if out of memory, etc
**********************************************************************/
int smspr_init_aliens(int wave);

/**********************************************************************
* Create an animated alien into the next free slot in the global 
* 'aliens' array. Set fx_handler and start alien.
* Return NULL if error or no more slots.
**********************************************************************/
ANIM_SPRITE smspr_create_alien(void);

/**********************************************************************
* Creates an 'animated' sprite for the player. Actually it contains
* only the different rotations for the player. Set fx_handler and 
* start the player.
* Return: NULL if error, the player otherwise.
**********************************************************************/
ANIM_SPRITE smspr_create_player(void);


/**********************************************************************
* Create a bullet. Set fx_handler and start the bullet.
* Return: NULL if error, the bullet otherwise.
**********************************************************************/
ANIM_SPRITE smspr_create_bullet(void);

/**********************************************************************
* Create an explosion. Set fx_handler and start the sprite.
* Return: NULL if error, the ANIM_SPRITE otherwise.
**********************************************************************/
ANIM_SPRITE smspr_create_explosion(void);
