/**********************************************************************
* spred.h
* 
* Typedefs & defines for the sprite editor
**********************************************************************
                    This file is part of

         STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/

#if !defined(__SPRED_H_)
#define __SPRED_H_

#define MAX_SPRITE_WIDTH  120
#define MAX_SPRITE_HEIGHT 80
#define SPR_NAME_LEN 60
#define SPR_SHAPE 0
#define SPR_MASK  1

/** The internal repersentation for a sprite map (BYTE per pixel) **/
typedef BYTE SPRED_MAP[MAX_SPRITE_WIDTH][MAX_SPRITE_HEIGHT];

/** The internal representation of a sprite (NOTE: size ~20 kBytes) **/
typedef struct {
    char name[SPR_NAME_LEN];
    int w;         /* width  */
    int h;         /* height */
    int ws;        /* width scale of big map */
    int hs;        /* height scale of big map */
    int wo;        /* x origin of big map */
    int ho;        /* y origin of big map */
    int map;        /* active map index (SPR_SHAPE or SPR_MASK) */
    SPRED_MAP maps[2];
} SPRED_DATA;


#endif
