/*********************************************************************
* spr_low.c
*
* A loader module which combines the low level graphics functions for 
* different display hardware. The hardware dependent defines are
* defined in hercules.def and egamono.def.
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

*********************************************************************/

/** Tell compiler to use assembler immediately if assembler version **/
#ifndef C_VER
#pragma inline
#endif

#include <dos.h>

#include "grtypes.h"
#include "gr_low.h"
#include "gr.h"


BYTE far *(*gr_low_addr)(WORD x, WORD y, BYTE page);
void (*gr_low_putch)(BYTE far* addr, BYTE ch);


/***** Include defines for hardware dependent defines *****/
#include "hercules.def"
#define ADDR    gr_low_herc_addr
#define PUTCH   gr_low_herc_putch

/***** Include the skeletons for the functions *****/
#include "gr_low.def"


/***** Include defines for hardware dependent defines *****/
#include "egamono.def"
#define ADDR gr_low_ega_mono_addr
#define PUTCH gr_low_ega_mono_putch

/***** Include the skeletons for the functions *****/
#include "gr_low.def"

