/**********************************************************************
* gr_low.h
*
* The hardware dependent parts of the gr module. 
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/

/**********************************************************************
* ADDR
* Return the address of the given (x,y) coordinate pair in the
* given graphics page.
* 
* x,y     X,Y coordinates
* page    The graphics page (0/1)
*
* Return: far pointer into the screen.
**********************************************************************/

/**********************************************************************
* PUTCH
*
* Put character 'c' at the given address. Use OVERWRITE mode.
**********************************************************************/

extern BYTE far *(*gr_low_addr)(WORD x, WORD y, BYTE page);
extern void (*gr_low_putch)(BYTE far* addr, BYTE ch);

/*** Hercules graphics card **/
BYTE far *gr_low_herc_addr(WORD x, WORD y, BYTE page);
void gr_low_herc_putch(BYTE far* addr, BYTE ch);

/*** EGA/VGA graphics card in B/W 640x350 mode **/
BYTE far *gr_low_ega_mono_addr(WORD x, WORD y, BYTE page);
void gr_low_ega_mono_putch(BYTE far* addr, BYTE ch);
