/**********************************************************************
* spr_fio.h
* 
* The functions for reading sprites from a file.
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/


#ifndef __SPR_FIO_H_
#define __SPR_FIO_H_

#include "grtypes.h"

SPRITE spr_fio_read_smp(char *smpfile, BYTE res, WORD ID);
/**********************************************************************
* Create a sprite from the given SMP file.
*
* smpfile   The sprite bitmap file name.
* res       The number of steps wanted per 8 bit interval in horizontal
*           direction (1,2,4,8). For example, the value 8 gives one
*           pixel resolution in X-direction.
* ID        The user supplied ID for the sprite (not obligatory)
*
* Return: the newly created sprite or NULL if file not found, read
*         error or out-of-memory
**********************************************************************/

#endif
