/**********************************************************************
* spr_low.c
*
* A loader module which combines the low level sprite functions for 
* different display hardware. The hardware dependent defines are
* defined in herclues.def and egamono.def.
*
* If you add new display types, you might have to define new
* macros (for example to change color map). In that case define
* something reasonable for the existing displays types, too.
*
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************/

/** Tell compiler to use assembler immediately if assembler version **/
#ifndef C_VER
#pragma inline
#endif

#include <dos.h>

#include "grtypes.h"

/** The version information. Do not modify it! **/
char *spr_version = "STK version 1.1  Copyright (C) Jari Karjala 1991";


/***** Include defines for hardware dependent defines *****/
#include "hercules.def"
#define PUT     spr_low_herc_put
#define ERASE   spr_low_herc_erase

/***** Include the skeletons for the functions *****/
#include "spr_low.def"


/***** Include defines for hardware dependent defines *****/
#include "egamono.def"
#define PUT     spr_low_ega_mono_put
#define ERASE   spr_low_ega_mono_erase

/***** Include the skeletons for the functions *****/
#include "spr_low.def"

