/**********************************************************************
* spr_misc.h
* 
* Miscellaneous (internal) utility routines for the sprite support
**********************************************************************
                    This file is part of

          STK -- The sprite toolkit -- version 1.1

              Copyright (C) Jari Karjala 1991

The sprite toolkit (STK) is a FreeWare toolkit for creating high
resolution sprite graphics with PCompatible hardware. This toolkit 
is provided as is without any warranty or such thing. See the file
COPYING for further information.

**********************************************************************
**********************************************************************/

/**********************************************************************
* Create the shape data from the given shape and mask bitmaps
* 
* spr     The sprite used
* shape   The shape bitmap
* mask    The mask bitmap
* res     The resolution used (1,2,4 or 8)
**********************************************************************/
void spr_misc_create_data(SPRITE spr, BITMAP shape, BITMAP mask);

/**********************************************************************
* Delete the given sprite from the display list for the given page.
* Set the coordinates of the sprite to (WORD)-1,(WORD)-1
* 
* spr       The sprite to delete
* spr_page  The page number (0/1)
*
* Return: the new list
**********************************************************************/
void spr_misc_delete(SPRITE spr, int spr_page);
